# coding: utf-8


def rules():
    # NOTA BENE: outdated, works only in case `petrovich-rules` are not accessible for some reason
    return {
        "lastname": {
            "exceptions": [
                {
                    "gender": "androgynous",
                    "test": [
                        "бонч",
                        "абдул",
                        "белиц",
                        "гасан",
                        "дюссар",
                        "дюмон",
                        "книппер",
                        "корвин",
                        "ван",
                        "шолом",
                        "тер",
                        "призван",
                        "мелик",
                        "вар",
                        "фон"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ],
                    "tags": [
                        "first_word"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "дюма",
                        "тома",
                        "дега",
                        "люка",
                        "ферма",
                        "гамарра",
                        "петипа",
                        "шандра",
                        "скаля",
                        "каруана"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "гусь",
                        "ремень",
                        "камень",
                        "онук",
                        "богода",
                        "нечипас",
                        "долгопалец",
                        "маненок",
                        "рева",
                        "кива"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "вий",
                        "сой",
                        "цой",
                        "хой"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "я"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                }
            ],
            "suffixes": [
                {
                    "gender": "female",
                    "test": [
                        "б",
                        "в",
                        "г",
                        "д",
                        "ж",
                        "з",
                        "й",
                        "к",
                        "л",
                        "м",
                        "н",
                        "п",
                        "р",
                        "с",
                        "т",
                        "ф",
                        "х",
                        "ц",
                        "ч",
                        "ш",
                        "щ",
                        "ъ",
                        "ь"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "гава",
                        "орота"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "ска",
                        "цка"
                    ],
                    "mods": [
                        "-ой",
                        "-ой",
                        "-ую",
                        "-ой",
                        "-ой"
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "цкая",
                        "ская",
                        "ная",
                        "ая"
                    ],
                    "mods": [
                        "--ой",
                        "--ой",
                        "--ую",
                        "--ой",
                        "--ой"
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "яя"
                    ],
                    "mods": [
                        "--ей",
                        "--ей",
                        "--юю",
                        "--ей",
                        "--ей"
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "на"
                    ],
                    "mods": [
                        "-ой",
                        "-ой",
                        "-у",
                        "-ой",
                        "-ой"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "иной"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "уй"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "ца"
                    ],
                    "mods": [
                        "-ы",
                        "-е",
                        "-у",
                        "-ей",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "рих"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ом",
                        "е"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "ия"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "иа",
                        "аа",
                        "оа",
                        "уа",
                        "ыа",
                        "еа",
                        "юа",
                        "эа"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "их",
                        "ых"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "о",
                        "е",
                        "э",
                        "и",
                        "ы",
                        "у",
                        "ю"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "ова",
                        "ева"
                    ],
                    "mods": [
                        "-ой",
                        "-ой",
                        "-у",
                        "-ой",
                        "-ой"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "га",
                        "ка",
                        "ха",
                        "ча",
                        "ща",
                        "жа",
                        "ша"
                    ],
                    "mods": [
                        "-и",
                        "-е",
                        "-у",
                        "-ой",
                        "-е"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "а"
                    ],
                    "mods": [
                        "-ы",
                        "-е",
                        "-у",
                        "-ой",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ь"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "ия"
                    ],
                    "mods": [
                        "-и",
                        "-и",
                        "-ю",
                        "-ей",
                        "-и"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "я"
                    ],
                    "mods": [
                        "-и",
                        "-е",
                        "-ю",
                        "-ей",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ей"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ян",
                        "ан",
                        "йн"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ом",
                        "е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ынец",
                        "обец"
                    ],
                    "mods": [
                        "--ца",
                        "--цу",
                        "--ца",
                        "--цем",
                        "--це"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "онец",
                        "овец"
                    ],
                    "mods": [
                        "--ца",
                        "--цу",
                        "--ца",
                        "--цом",
                        "--це"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ай"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "кой"
                    ],
                    "mods": [
                        "-го",
                        "-му",
                        "-го",
                        "--им",
                        "-м"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "гой"
                    ],
                    "mods": [
                        "-го",
                        "-му",
                        "-го",
                        "--им",
                        "-м"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ой"
                    ],
                    "mods": [
                        "-го",
                        "-му",
                        "-го",
                        "--ым",
                        "-м"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ах",
                        "ив"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ом",
                        "е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ший",
                        "щий",
                        "жий",
                        "ний"
                    ],
                    "mods": [
                        "--его",
                        "--ему",
                        "--его",
                        "-м",
                        "--ем"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ый"
                    ],
                    "mods": [
                        "--ого",
                        "--ому",
                        "--ого",
                        "-м",
                        "--ом"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "кий"
                    ],
                    "mods": [
                        "--ого",
                        "--ому",
                        "--ого",
                        "-м",
                        "--ом"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ий"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-и"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ок"
                    ],
                    "mods": [
                        "--ка",
                        "--ку",
                        "--ка",
                        "--ком",
                        "--ке"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ец"
                    ],
                    "mods": [
                        "--ца",
                        "--цу",
                        "--ца",
                        "--цом",
                        "--це"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ц",
                        "ч",
                        "ш",
                        "щ"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ем",
                        "е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ен",
                        "нн",
                        "он",
                        "ун"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ом",
                        "е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "в",
                        "н"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ым",
                        "е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "б",
                        "г",
                        "д",
                        "ж",
                        "з",
                        "к",
                        "л",
                        "м",
                        "п",
                        "р",
                        "с",
                        "т",
                        "ф",
                        "х"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ом",
                        "е"
                    ]
                }
            ]
        },
        "firstname": {
            "exceptions": [
                {
                    "gender": "male",
                    "test": [
                        "лев"
                    ],
                    "mods": [
                        "--ьва",
                        "--ьву",
                        "--ьва",
                        "--ьвом",
                        "--ьве"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "пётр"
                    ],
                    "mods": [
                        "---етра",
                        "---етру",
                        "---етра",
                        "---етром",
                        "---етре"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "павел"
                    ],
                    "mods": [
                        "--ла",
                        "--лу",
                        "--ла",
                        "--лом",
                        "--ле"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "яша"
                    ],
                    "mods": [
                        "-и",
                        "-е",
                        "-у",
                        "-ей",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "шота"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "рашель",
                        "нинель",
                        "николь",
                        "габриэль",
                        "даниэль"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                }
            ],
            "suffixes": [
                {
                    "gender": "androgynous",
                    "test": [
                        "е",
                        "ё",
                        "и",
                        "о",
                        "у",
                        "ы",
                        "э",
                        "ю"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "б",
                        "в",
                        "г",
                        "д",
                        "ж",
                        "з",
                        "й",
                        "к",
                        "л",
                        "м",
                        "н",
                        "п",
                        "р",
                        "с",
                        "т",
                        "ф",
                        "х",
                        "ц",
                        "ч",
                        "ш",
                        "щ",
                        "ъ"
                    ],
                    "mods": [
                        ".",
                        ".",
                        ".",
                        ".",
                        "."
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "ь"
                    ],
                    "mods": [
                        "-и",
                        "-и",
                        ".",
                        "ю",
                        "-и"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ь"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "га",
                        "ка",
                        "ха",
                        "ча",
                        "ща",
                        "жа"
                    ],
                    "mods": [
                        "-и",
                        "-е",
                        "-у",
                        "-ой",
                        "-е"
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "ша"
                    ],
                    "mods": [
                        "-и",
                        "-е",
                        "-у",
                        "-ей",
                        "-е"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "а"
                    ],
                    "mods": [
                        "-ы",
                        "-е",
                        "-у",
                        "-ой",
                        "-е"
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "ия"
                    ],
                    "mods": [
                        "-и",
                        "-и",
                        "-ю",
                        "-ей",
                        "-и"
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "а"
                    ],
                    "mods": [
                        "-ы",
                        "-е",
                        "-у",
                        "-ой",
                        "-е"
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "я"
                    ],
                    "mods": [
                        "-и",
                        "-е",
                        "-ю",
                        "-ей",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ия"
                    ],
                    "mods": [
                        "-и",
                        "-и",
                        "-ю",
                        "-ей",
                        "-и"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "я"
                    ],
                    "mods": [
                        "-и",
                        "-е",
                        "-ю",
                        "-ей",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ей"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "ий"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-и"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "й"
                    ],
                    "mods": [
                        "-я",
                        "-ю",
                        "-я",
                        "-ем",
                        "-е"
                    ]
                },
                {
                    "gender": "male",
                    "test": [
                        "б",
                        "в",
                        "г",
                        "д",
                        "ж",
                        "з",
                        "к",
                        "л",
                        "м",
                        "н",
                        "п",
                        "р",
                        "с",
                        "т",
                        "ф",
                        "х",
                        "ц",
                        "ч"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ом",
                        "е"
                    ]
                },
                {
                    "gender": "androgynous",
                    "test": [
                        "ния",
                        "рия",
                        "вия"
                    ],
                    "mods": [
                        "-и",
                        "-и",
                        "-ю",
                        "-ем",
                        "-ем"
                    ]
                }
            ]
        },
        "middlename": {
            "suffixes": [
                {
                    "gender": "male",
                    "test": [
                        "ич"
                    ],
                    "mods": [
                        "а",
                        "у",
                        "а",
                        "ем",
                        "е"
                    ]
                },
                {
                    "gender": "female",
                    "test": [
                        "на"
                    ],
                    "mods": [
                        "-ы",
                        "-е",
                        "-у",
                        "-ой",
                        "-е"
                    ]
                }
            ]
        }
    }


def gender():
    return {
        "gender": {
            "lastname": {
                "exceptions": {
                    "androgynous": [
                        "бова",
                        "регин",
                        "дарвин",
                        "пэйлин",
                        "грин",
                        "цин",
                        "шенгелая"
                    ]
                },
                "suffixes": {
                    "female": [
                        "ова",
                        "ая",
                        "ына",
                        "ина",
                        "ева",
                        "ска",
                        "ёва"
                    ],
                    "male": [
                        "кий",
                        "ов",
                        "ын",
                        "ев",
                        "ин",
                        "ёв",
                        "хий",
                        "ний",
                        "ый",
                        "ой"
                    ]
                }
            },
            "firstname": {
                "exceptions": {
                    "androgynous": [
                        "сева",
                        "иона",
                        "муса",
                        "саша",
                        "алвард",
                        "валери",
                        "кири",
                        "анри",
                        "ким",
                        "райхон",
                        "закия",
                        "захария",
                        "женя"
                    ],
                    "male": [
                        "абиба",
                        "савва",
                        "лёва",
                        "вова",
                        "ага",
                        "ахмедага",
                        "алиага",
                        "амирага",
                        "агга",
                        "серега",
                        "фейга",
                        "гога",
                        "алиада",
                        "муктада",
                        "абида",
                        "алда",
                        "маджуда",
                        "нурлыхуда",
                        "гиа",
                        "элиа",
                        "гарсиа",
                        "вавила",
                        "гавриила",
                        "генка",
                        "лука",
                        "дима",
                        "зосима",
                        "тима",
                        "фима",
                        "фома",
                        "кузьма",
                        "жора",
                        "миша",
                        "ермила",
                        "данила",
                        "гаврила",
                        "абдалла",
                        "аталла",
                        "абдилла",
                        "атилла",
                        "кайролла",
                        "абулла",
                        "абула",
                        "свитлана",
                        "бена",
                        "гена",
                        "агелина",
                        "джанна",
                        "кришна",
                        "степа",
                        "дра",
                        "назера",
                        "валера",
                        "эстера",
                        "двойра",
                        "калистра",
                        "заратустра",
                        "юра",
                        "иса",
                        "аиса",
                        "халиса",
                        "холиса",
                        "валенса",
                        "мусса",
                        "ата",
                        "паата",
                        "алета",
                        "никита",
                        "мота",
                        "шота",
                        "фаста",
                        "коста",
                        "маритта",
                        "малюта",
                        "васюта",
                        "вафа",
                        "мустафа",
                        "ганифа",
                        "лев",
                        "яков",
                        "шелли",
                        "константин",
                        "марсель",
                        "рамиль",
                        "эмиль",
                        "бактыгуль",
                        "даниэль",
                        "игорь",
                        "арминэ",
                        "изя",
                        "кузя",
                        "гия",
                        "мазия",
                        "кирикия",
                        "ркия",
                        "еркия",
                        "эркия",
                        "гулия",
                        "аксания",
                        "закария",
                        "зекерия",
                        "гарсия",
                        "шендля",
                        "филя",
                        "вилля",
                        "толя",
                        "ваня",
                        "саня",
                        "загиря",
                        "боря",
                        "цайся",
                        "вася",
                        "ося",
                        "петя",
                        "витя",
                        "митя",
                        "костя",
                        "алья",
                        "илья",
                        "ларья"
                    ],
                    "female": [
                        "судаба",
                        "сураба",
                        "любава",
                        "джанлука",
                        "варвара",
                        "наташа",
                        "зайнаб",
                        "любов",
                        "сольвейг",
                        "шакед",
                        "аннаид",
                        "ингрид",
                        "синди",
                        "аллаберди",
                        "сандали",
                        "лали",
                        "натали",
                        "гулькай",
                        "алтынай",
                        "гюнай",
                        "гюльчитай",
                        "нурангиз",
                        "лиз",
                        "элиз",
                        "ботагоз",
                        "юлдуз",
                        "диляфруз",
                        "габи",
                        "сажи",
                        "фанни",
                        "мери",
                        "элдари",
                        "эльдари",
                        "хилари",
                        "хиллари",
                        "аннемари",
                        "розмари",
                        "товсари",
                        "ансари",
                        "одри",
                        "тери",
                        "ири",
                        "катри",
                        "мэри",
                        "сатаней",
                        "ефтений",
                        "верунчик",
                        "гюзел",
                        "этел",
                        "рэйчел",
                        "джил",
                        "мерил",
                        "нинелл",
                        "бурул",
                        "ахлам",
                        "майрам",
                        "махаррам",
                        "мириам",
                        "дилярам",
                        "асем",
                        "мерьем",
                        "мирьем",
                        "эркаим",
                        "гулаим",
                        "айгерим",
                        "марьям",
                        "мирьям",
                        "эван",
                        "гульжиган",
                        "айдан",
                        "айжан",
                        "вивиан",
                        "гульжиан",
                        "лилиан",
                        "мариан",
                        "саиман",
                        "джоан",
                        "чулпан",
                        "лоран",
                        "моран",
                        "джохан",
                        "гульшан",
                        "аделин",
                        "жаклин",
                        "карин",
                        "каролин",
                        "каталин",
                        "катрин",
                        "керстин",
                        "кэтрин",
                        "мэрилин",
                        "рузалин",
                        "хелин",
                        "цеткин",
                        "ширин",
                        "элисон",
                        "дурсун",
                        "кристин",
                        "гульжиян",
                        "марьян",
                        "ренато",
                        "зейнеп",
                        "санабар",
                        "дильбар",
                        "гулизар",
                        "гульзар",
                        "пилар",
                        "дагмар",
                        "элинар",
                        "нилуфар",
                        "анхар",
                        "гаухар",
                        "естер",
                        "эстер",
                        "дженнифер",
                        "линор",
                        "элинор",
                        "элеонор",
                        "айнур",
                        "гульнур",
                        "шамсинур",
                        "элнур",
                        "ильсияр",
                        "нигяр",
                        "сигитас",
                        "агнес",
                        "анес",
                        "долорес",
                        "инес",
                        "анаис",
                        "таис",
                        "эллис",
                        "элис",
                        "кларис",
                        "амнерис",
                        "айрис",
                        "дорис",
                        "беатрис",
                        "грейс",
                        "грэйс",
                        "ботагос",
                        "маргос",
                        "джулианс",
                        "арус",
                        "диляфрус",
                        "саодат",
                        "зулхижат",
                        "хамат",
                        "патимат",
                        "хатимат",
                        "альжанат",
                        "маймунат",
                        "гульшат",
                        "биргит",
                        "рут",
                        "иргаш",
                        "айнаш",
                        "агнеш",
                        "зауреш",
                        "тэрбиш",
                        "ануш",
                        "азгануш",
                        "гаруш",
                        "николь",
                        "адась",
                        "афиля",
                        "тафиля",
                        "фаня",
                        "аня"
                    ]
                },
                "suffixes": {
                    "androgynous": [
                        "улла"
                    ],
                    "male": [
                        "аба",
                        "б",
                        "ав",
                        "ев",
                        "ов",
                        "г",
                        "д",
                        "ж",
                        "з",
                        "би",
                        "ди",
                        "жи",
                        "али",
                        "ри",
                        "ай",
                        "ей",
                        "ий",
                        "ой",
                        "ый",
                        "к",
                        "л",
                        "ам",
                        "ем",
                        "им",
                        "ом",
                        "ум",
                        "ым",
                        "ям",
                        "ан",
                        "бен",
                        "вен",
                        "ген",
                        "ден",
                        "ин",
                        "сейн",
                        "он",
                        "ун",
                        "ян",
                        "ио",
                        "ло",
                        "ро",
                        "то",
                        "шо",
                        "п",
                        "ар",
                        "др",
                        "ер",
                        "ир",
                        "ор",
                        "тр",
                        "ур",
                        "ыр",
                        "яр",
                        "ас",
                        "ес",
                        "ис",
                        "йс",
                        "кс",
                        "мс",
                        "ос",
                        "нс",
                        "рс",
                        "ус",
                        "юс",
                        "яс",
                        "ат",
                        "мет",
                        "кт",
                        "нт",
                        "рт",
                        "ст",
                        "ут",
                        "ф",
                        "х",
                        "ш",
                        "ы",
                        "сь",
                        "емеля",
                        "коля"
                    ],
                    "female": [
                        "иба",
                        "люба",
                        "лава",
                        "ева",
                        "га",
                        "да",
                        "еа",
                        "иза",
                        "иа",
                        "ика",
                        "нка",
                        "ска",
                        "ела",
                        "ила",
                        "лла",
                        "эла",
                        "има",
                        "на",
                        "ра",
                        "са",
                        "та",
                        "фа",
                        "елли",
                        "еса",
                        "сса",
                        "гуль",
                        "нуэль",
                        "гюль",
                        "нэ",
                        "ая",
                        "ея",
                        "ия",
                        "йя",
                        "ля",
                        "мя",
                        "оя",
                        "ря",
                        "ся",
                        "вья",
                        "лья",
                        "мья",
                        "нья",
                        "рья",
                        "сья",
                        "тья",
                        "фья",
                        "зя"
                    ]
                }
            },
            "middlename": {
                "suffixes": {
                    "female": [
                        "на",
                        "кызы",
                        "гызы"
                    ],
                    "male": [
                        "ич",
                        "оглы",
                        "улы",
                        "уулу"
                    ]
                }
            }
        }
    }
